#include <GuiConstants.au3>
#include <EditLV_Include.au3>

Opt("GUICloseOnESC",0);turn off exit on esc.
Opt("GuiOnEventMode", 1)

_Main()

Func _Main()
;    ######>>> set the type of control for each column <<<######
;    0 = Input/edit  1 = combobox 2= date control
    Global $LVcolControl[4]=[0,0,1,2]
    $Gui = GUICreate("Edit In Place Demo", 417, 356, 192, 125)
    GUISetOnEvent(-3, "Quit")
	
	;---------------------------------------------
    ;create the editing controls before the ListView.
    _InitEditLib();<<<######  add this BEFORE your ListView <<<######
    ;---------------------------------------------
    $ListView = GUICtrlCreateListView("Items|Items2|Third|Startdate", 3, 3, 400, 200)
    GUICtrlSendMsg($ListView, $LVM_SETEXTENDEDLISTVIEWSTYLE, $LVS_EX_GRIDLINES, $LVS_EX_GRIDLINES)
    $LISTVIEWCTRL = $ListView
    ; Populate list and make it wide enough to see
;######>>>  Populate controls with test data<<<######
    Local $c
    For $i = 1 To 10
        $c= $c &$i&"|"
        GUICtrlCreateListViewItem("DoubleClick or press F2, then press Enter|Something|"&$i&"|01/07/1969", $ListView)
    Next
    $c = StringTrimRight($c,1)
    GuiCtrlSetData($lvCombo,$c)
    GUICtrlSendMsg($ListView, 0x101E, 0, -1);$listview, LVM_SETCOLUMNWIDTH, 0, resize to widest value
;######>>>  End  Populate<<<######
    $LISTVIEWCTRL= $ListView ;<<<###### Set $LISTVIEWCTRL to the ctrlID of the ListView control
    GUISetState(@SW_SHOW)
    While 1
		Sleep(10)
        _MonitorEditState($Gui, $editCtrl, $editFlag, $LISTVIEWCTRL, $LVINFO, $LVcolControl);<<<######  add this in your message loop<<<######
    WEnd
    _TermEditLib();<<<###### add this after your message loop<<<######
EndFunc   ;==>_Main

Func Quit()
	Exit
EndFunc